Skip to main content

Pricing Matrix

Returns a pricing matrix for a given PMS property. This is applicable for only Yardi properties. The response is streamed as a top-level JSON array of unit objects — there is no wrapper object.

GET
/api/v2/pricing-matrix/:pms_property_id/

Request

Example requestGET
curl -X GET \
    --user "YOUR_API_KEY:" \
    "https://api.funnelleasing.com/api/v2/pricing-matrix/1234/?unit_number=567-A&lease_start_date=2026-01-28&term=3"

Response

Example responseJSON200 · application/json
[
  {
    "unit_id": "A123",
    "market_rent": "2330.00",
    "offer_terms": []
  },
  {
    "unit_id": "B456",
    "market_rent": "2399.00",
    "offer_terms": []
  },
  {
    "unit_id": "C789",
    "market_rent": "1989.00",
    "offer_terms": []
  },
  {
    "unit_id": "D101",
    "market_rent": "2452.00",
    "offer_terms": [
      {
        "effective_rent": "2023.00",
        "term": 12,
        "start_date": "2026-01-08T00:00:00",
        "end_date": "2026-01-14T00:00:00"
      },
      {
        "effective_rent": "2074.00",
        "term": 12,
        "start_date": "2026-01-15T00:00:00",
        "end_date": "2026-01-21T00:00:00"
      },
      {
        "effective_rent": "2126.00",
        "term": 12,
        "start_date": "2026-01-22T00:00:00",
        "end_date": "2026-01-28T00:00:00"
      },
      {
        "effective_rent": "2178.00",
        "term": 12,
        "start_date": "2026-01-29T00:00:00",
        "end_date": "2026-02-04T00:00:00"
      },
      {
        "effective_rent": "2230.00",
        "term": 12,
        "start_date": "2026-02-05T00:00:00",
        "end_date": "2026-02-11T00:00:00"
      }
    ]
  }
]

Invalid lease_start_date Format (400)

If lease_start_date can't be parsed, a 400 error response will be returned.

Error responseJSON400 · application/json
{
  "error_type": "Invalid",
  "message": "Invalid lease_start_date format. Use YYYY-MM-DD."
}

Invalid term Format (400)

If term isn't a valid integer, a 400 error response will be returned.

Error responseJSON400 · application/json
{
  "error_type": "Invalid",
  "message": "Invalid term format. Must be an integer."
}

No Active Integration Group Found (404)

If no active Yardi integration group is found for the given PMS property ID, a 404 error response will be returned.

Error responseJSON404 · application/json
{
  "error_type": "DoesNotExist",
  "message": "No active integration group found for given PMS property ID 123"
}

No Community Found (404)

If the integration group is found but isn't linked to a community, a 404 error response will be returned.

Error responseJSON404 · application/json
{
  "error_type": "DoesNotExist",
  "message": "No community found for given PMS property ID 123"
}